Package epydoc :: Module gui

[hide private]
[frames] | no frames]

# Module gui

source code

Graphical interface to epydoc. This interface might be useful for systems where it's inconvenient to use the command-line interface (such as Windows). It supports many (but not all) of the features that are supported by the command-line interface. It also supports loading and saving of project files, which store a set of related modules, and the options that should be used to generate the documentation for those modules.

Usage:

       epydocgui [OPTIONS] [FILE.prj | MODULES...]

       FILE.prj                  An epydoc GUI project file.
       MODULES...                A list of Python modules to document.
       -V, --version             Print the version of epydoc.
       -h, -?, --help, --usage   Display this usage message
       --debug                   Do not suppress error messages

To Do: Use ini-style project files, rather than pickles (using the same format as the CLI).

Classes | [hide private]

| GUILogger
| EpydocGUI A graphical user interace to epydoc.

Functions | [hide private]

document(options, cancel, done) Create the documentation for `modules`, using the options specified by `options`. | source code

`None`

_version() Display the version information, and exit. | source code

_usage() | source code

_error(s) | source code

gui() | source code

Variables | [hide private]

| DEBUG = `0`
| BG_COLOR = ``'``#e0e0e0``'``
| ACTIVEBG_COLOR = ``'``#e0e0e0``'``
| TEXT_COLOR = ``'``black``'``
| ENTRYSELECT_COLOR = ``'``#e0e0e0``'``
| SELECT_COLOR = ``'``#208070``'``
| MESSAGE_COLOR = ``'``#000060``'``
| ERROR_COLOR = ``'``#600000``'``
| GUIERROR_COLOR = ``'``#600000``'``
| WARNING_COLOR = ``'``#604000``'``
| HEADER_COLOR = ``'``#000000``'``
| COLOR_CONFIG = ``{``'``background``'``:` `'``#e0e0e0``'``,` `'``foreground``'``:` `'``black``'``...``
| ENTRY_CONFIG = ``{``'``background``'``:` `'``#e0e0e0``'``,` `'``foreground``'``:` `'``black``'``...``
| SB_CONFIG = ``{``'``activebackground``'``:` `'``#e0e0e0``'``,` `'``background``'``:` `'``#e0``...``
| LISTBOX_CONFIG = ``{``'``background``'``:` `'``#e0e0e0``'``,` `'``foreground``'``:` `'``blac``...``
| BUTTON_CONFIG = ``{``'``activebackground``'``:` `'``#e0e0e0``'``,` `'``activeforegro``...``
| CBUTTON_CONFIG = ``{``'``activebackground``'``:` `'``#e0e0e0``'``,` `'``activeforegr``...``
| SHOWMSG_CONFIG = ``{``'``activebackground``'``:` `'``#e0e0e0``'``,` `'``activeforegr``...``
| SHOWWRN_CONFIG = ``{``'``activebackground``'``:` `'``#e0e0e0``'``,` `'``activeforegr``...``
| SHOWERR_CONFIG = ``{``'``activebackground``'``:` `'``#e0e0e0``'``,` `'``activeforegr``...``
| PROGRESS_HEIGHT = `16`
| PROGRESS_WIDTH = `200`
| PROGRESS_BG = ``'``#305060``'``
| PROGRESS_COLOR1 = ``'``#30c070``'``
| PROGRESS_COLOR2 = ``'``#60ffa0``'``
| PROGRESS_COLOR3 = ``'``#106030``'``
| DX = `1`
| DY = `1`
| DH = `1`
| DW = `3`
| IMPORT_PROGRESS = `0.1`
| BUILD_PROGRESS = `0.2`
| WRITE_PROGRESS = `0.7`
| UP_GIF = ``'``R0lGODlhCwAMALMAANnZ2QDMmQCZZgBmZgAAAAAzM////////wAA``...``
| DOWN_GIF = ``'``R0lGODlhCwAMALMAANnZ2QDMmQCZZgBmZgAAAAAzM////////w``...``
| LEFT_GIF = ``'``R0lGODlhDAALAKIAANnZ2QDMmQCZZgBmZgAAAAAzM////////y``...``
| RIGHT_GIF = ``'``R0lGODlhDAALAKIAANnZ2QDMmQBmZgCZZgAzMwAAAP///////``...``

Function Details | [hide private]

### document(options, cancel, done)

source code

Create the documentation for `modules`, using the options specified by `options`. `document` is designed to be started in its own thread by EpydocGUI._go.

Parameters:
  - `options` (`dictionary`) - The options to use for generating documentation. This includes keyword options that can be given to docwriter.html.HTMLWriter, as well as the option `target`, which controls where the output is written to.

Variables Details | [hide private]

### COLOR_CONFIG

Value:

      {'background': '#e0e0e0',
       'foreground': 'black',
       'highlightbackground': '#e0e0e0',
       'highlightcolor': '#e0e0e0'}

### ENTRY_CONFIG

Value:

      {'background': '#e0e0e0',
       'foreground': 'black',
       'highlightbackground': '#e0e0e0',
       'highlightcolor': '#e0e0e0',
       'selectbackground': '#e0e0e0',
       'selectforeground': 'black'}

### SB_CONFIG

Value:

      {'activebackground': '#e0e0e0',
       'background': '#e0e0e0',
       'highlightbackground': '#e0e0e0',
       'troughcolor': '#e0e0e0'}

### LISTBOX_CONFIG

Value:

      {'background': '#e0e0e0',
       'foreground': 'black',
       'highlightbackground': '#e0e0e0',
       'highlightcolor': '#e0e0e0',
       'selectbackground': '#e0e0e0',
       'selectforeground': 'black'}

### BUTTON_CONFIG

Value:

      {'activebackground': '#e0e0e0',
       'activeforeground': 'black',
       'background': '#e0e0e0',
       'foreground': 'black',
       'highlightbackground': '#e0e0e0',
       'highlightcolor': '#e0e0e0',
       'highlightthickness': 0,
       'padx': 4,
      ...

### CBUTTON_CONFIG

Value:

      {'activebackground': '#e0e0e0',
       'activeforeground': 'black',
       'background': '#e0e0e0',
       'foreground': 'black',
       'highlightbackground': '#e0e0e0',
       'highlightcolor': '#e0e0e0',
       'highlightthickness': 0,
       'padx': 4,
      ...

### SHOWMSG_CONFIG

Value:

      {'activebackground': '#e0e0e0',
       'activeforeground': 'black',
       'background': '#e0e0e0',
       'foreground': '#000060',
       'highlightbackground': '#e0e0e0',
       'highlightcolor': '#e0e0e0',
       'highlightthickness': 0,
       'padx': 4,
      ...

### SHOWWRN_CONFIG

Value:

      {'activebackground': '#e0e0e0',
       'activeforeground': 'black',
       'background': '#e0e0e0',
       'foreground': '#604000',
       'highlightbackground': '#e0e0e0',
       'highlightcolor': '#e0e0e0',
       'highlightthickness': 0,
       'padx': 4,
      ...

### SHOWERR_CONFIG

Value:

      {'activebackground': '#e0e0e0',
       'activeforeground': 'black',
       'background': '#e0e0e0',
       'foreground': '#600000',
       'highlightbackground': '#e0e0e0',
       'highlightcolor': '#e0e0e0',
       'highlightthickness': 0,
       'padx': 4,
      ...

### UP_GIF

Value:

      '''R0lGODlhCwAMALMAANnZ2QDMmQCZZgBmZgAAAAAzM////////wAAAAAAAAAAAAAAAAA
      AAAAAAAAA
      AAAAACH5BAEAAAAALAAAAAALAAwAAAQjEMhJKxCW4gzCIJxXZIEwFGDlDadqsii1sq1U0n
      A64+ON
      5xEAOw==
      '''

### DOWN_GIF

Value:

      '''R0lGODlhCwAMALMAANnZ2QDMmQCZZgBmZgAAAAAzM////////wAAAAAAAAAAAAAAAAA
      AAAAAAAAA
      AAAAACH5BAEAAAAALAAAAAALAAwAAAQmEIQxgLVUCsppsVPngVtXEFfIfWk5nBe4xuSL0t
      KLy/cu
      7JffJQIAOw==
      '''

### LEFT_GIF

Value:

      '''R0lGODlhDAALAKIAANnZ2QDMmQCZZgBmZgAAAAAzM////////yH5BAEAAAAALAAAAAA
      MAAsAAAM4
      CLocgaCrESiDoBshOAoAgBEyMzgAEIGCowsiOLoLgEBVOLoIqlSFo4OgC1RYM4Ogq1RYg6
      DLVJgA
      Ow==
      '''

### RIGHT_GIF

Value:

      '''R0lGODlhDAALAKIAANnZ2QDMmQBmZgCZZgAzMwAAAP///////yH5BAEAAAAALAAAAAA
      MAAsAAAM5
      GIGgyzIYgaCrIigTgaALIigyEQiqKLoTgaAoujuDgKJLVAgqIoJEBQAIIkKEhaArRFgIuk
      qFoMsJ
      ADs=
      '''